//-----------------------------------------------------------------------
// <copyright file=" im_data.cs">
// * FileName: im_data.cs
// * history : 2019-03-14 10:25:59 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;

namespace Performance.EntityModels
{
    /// <summary>
    /// im_data Entity Model
    /// </summary>
    public class im_data
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
        public int ID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> SheetID { get; set; }

        /// <summary>
        /// 核算单元类别 1 医生组 2护理组
        /// </summary>
        public Nullable<int> UnitType { get; set; }

        /// <summary>
        /// 行号
        /// </summary>
        public Nullable<int> RowNumber { get; set; }

        /// <summary>
        /// 核算单元名称
        /// </summary>
        public string AccountingUnit { get; set; }

        /// <summary>
        /// 科室名称
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 列头类型名称
        /// </summary>
        public string TypeName { get; set; }

        /// <summary>
        /// 单元格value
        /// </summary>
        public Nullable<decimal> CellValue { get; set; }

        /// <summary>
        /// 1 加 2 减 3 乘
        /// </summary>
        public Nullable<int> ComputRule { get; set; }

        /// <summary>
        /// 1 汇总  2原始数据
        /// </summary>
        public Nullable<int> IsSum { get; set; }

        /// <summary>
        /// 是否带入系数计算 1 带入 2 不带入
        /// </summary>
        public Nullable<int> IsFactor { get; set; }

        /// <summary>
        /// 系数值
        /// </summary>
        public Nullable<decimal> FactorValue { get; set; }

        /// <summary>
        /// 单元格注释
        /// </summary>
        public string Annotation { get; set; }

        /// <summary>
        /// 单元格备注
        /// </summary>
        public string Remark { get; set; }
    }
}
