﻿using Performance.DtoModels;
using Performance.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace Performance.Services
{
    /// <summary>
    /// 工作量
    /// </summary>
    public class PerSheetDataComputeWorkload : IPerSheetDataCompute
    {
        public PerSheet ProcessCompute(PerSheet excel)
        {
            PerSheet compSheet = new PerSheet
            {
                SheetName = "工作量绩效测算表",
                ModuleName = "工作量绩效测算表",
                PerHeader = new List<PerHeader>(),
                PerData = new List<IPerData>()
            };
            
            return compSheet;
        }
        private string GetCleanSheetName(string sheetName)
        {
            sheetName = sheetName
               .Replace("医生组", "")
               .Replace("护理组", "")
               .Replace(".", "");

            sheetName = Regex.Replace(sheetName, @"\d", "");

            return sheetName;
        }
    }
}
